Skip to main content
GET
/
general-leads
/
{generalLeadId}
/
communications
Get communications for a general lead
curl --request GET \
  --url https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/communications \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": 123,
      "vendorId": 123,
      "vendorName": "<string>",
      "communicationType": "<string>",
      "status": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateModified": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.renovationfind.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Path Parameters

generalLeadId
integer<int64>
required

Response

200 - application/json

Communications list

success
boolean
data
object[]